Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSScreenVideoPacket

    java.lang.Object
      com.flagstone.transform.FSScreenVideoPacket

All Implemented Interfaces:
  java.lang.Cloneable

    public final class FSScreenVideoPacket

extends java.lang.Object
implements java.lang.Cloneable

The FSScreenVideoPacket class is used to encode or decode a frame of video data using Macromedia's ScreenVideo format.

Constructor Summary
`FSScreenVideoPacket(boolean key, int codec, int imageWidth, int imageHeight, int blockWidth, int blockHeight, java.util.ArrayList blocks)`
`FSScreenVideoPacket(byte[] data)`

Method Summary
`void` | `add(FSImageBlock block)`
`java.lang.Object` | `clone()`
`void` | `decode(byte[] data)`
`byte[]` | `encode()`
`boolean` | `equals(java.lang.Object anObject)`
`int` | `getBlockHeight()`
`int` | `getBlockWidth()`
`int` | `getCodec()`
`java.util.ArrayList` | `getImageBlocks()`
`int` | `getImageHeight()`
`int` | `getImageWidth()`
`boolean` | `getKeyFrame()`
`void` | `setBlockHeight(int height)`
`void` | `setBlockWidth(int width)`
`void` | `setCodec(int codec)`
`void` | `setImageBlocks(java.util.ArrayList blocks)`
`void` | `setImageHeight(int height)`
`void` | `setImageWidth(int width)`
`void` | `setKeyFrame(boolean key)`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSScreenVideoPacket

    public FSScreenVideoPacket(byte[] data)

### FSScreenVideoPacket

    public FSScreenVideoPacket(boolean key,
                               int codec,
                               int imageWidth,
                               int imageHeight,
                               int blockWidth,
                               int blockHeight,
                               java.util.ArrayList blocks)

Method Detail

### add

    public void add(FSImageBlock block)

### getKeyFrame

    public boolean getKeyFrame()

### setKeyFrame

    public void setKeyFrame(boolean key)

### getCodec

    public int getCodec()

### setCodec

    public void setCodec(int codec)

### getImageWidth

    public int getImageWidth()

### setImageWidth

    public void setImageWidth(int width)

### getImageHeight

    public int getImageHeight()

### setImageHeight

    public void setImageHeight(int height)

### getBlockWidth

    public int getBlockWidth()

### setBlockWidth

    public void setBlockWidth(int width)

### getBlockHeight

    public int getBlockHeight()

### setBlockHeight

    public void setBlockHeight(int height)

### getImageBlocks

    public java.util.ArrayList getImageBlocks()

### setImageBlocks

    public void setImageBlocks(java.util.ArrayList blocks)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object anObject)

  Overrides:
    `equals` in class `java.lang.Object`

### encode

    public byte[] encode()

### decode

    public void decode(byte[] data)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD